Bug 991625 - Emacs has gnus-util compiled in, requiring a workaround to use gnus from git
Emacs has gnus-util compiled in, requiring a workaround to use gnus from git
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
19
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Petr Hracek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 23:34 EDT by David Goldberg
Modified: 2015-02-17 11:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:32:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Goldberg 2013-08-02 23:34:26 EDT
Description of problem:

I use the version of gnus from git.gnus.org.  After upgrading to Fedora 19 gnus would error out with: gnus-group-highlight-line: Symbol's function definition is void: gnus-get-text-property-excluding-characters-with-faces

That function is, in fact, defined in gnus-util.el.  However the packaged version of emacs on Fedora 19 comes with an older version of gnus and that version of gnus-util.el, which does not define the function, is compiled in.  I am forced to explicitly load the newer one in one of my startup files as a work around.  I asked on the gnus mailing list about this and was recommended to report it as a Fedora bug. 


Version-Release number of selected component (if applicable):

GNU Emacs 24.3.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.8.2) of 2013-07-22 on buildvm-11.phx2.fedoraproject.org

How reproducible:


Steps to Reproduce:
1. mkdir ~/gnus-src ; cd ~/gnus-src ; git clone http://git.gnus.org/gnus.git 
2. add the resulting lisp directory to load-path
3. run emacs and M-x gnus


Actual results:

The error noted above

Expected results:

My group buffer

Additional info:

I determined the problem by running emacs -q followed by C-h v features and noting that gnus-util was there.
Comment 1 David Goldberg 2013-08-03 09:05:09 EDT
Someone on the gnus list noted to me that emacs -q is not the same as emacs --no-site-file.  Sure enough the problem does not exist if I do not load site-start.el.  So the problem is there, not in the compiled emacs.
Comment 2 Fedora End Of Life 2015-01-09 14:14:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 11:32:08 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.